## org.eclipse.datatools.sqltools.sqleditor
Class SQLStorageAnnotationModel

    java.lang.Object
      org.eclipse.jface.text.source.AnnotationModel
          org.eclipse.ui.texteditor.AbstractMarkerAnnotationModel
              org.eclipse.ui.texteditor.ResourceMarkerAnnotationModel
                  org.eclipse.datatools.sqltools.sqleditor.SQLStorageAnnotationModel

All Implemented Interfaces:
  org.eclipse.core.filebuffers.IPersistableAnnotationModel, org.eclipse.jface.text.ISynchronizable, org.eclipse.jface.text.source.IAnnotationModel, org.eclipse.jface.text.source.IAnnotationModelExtension, org.eclipse.jface.text.source.IAnnotationModelExtension2

    public class SQLStorageAnnotationModel

extends org.eclipse.ui.texteditor.ResourceMarkerAnnotationModel

Author:
  Hui Cao

Field Summary
`static java.lang.String` `ATTR_STORAGE_ID`
`static java.lang.String` `PORTABILITY_MARKER_TYPE`
`static java.lang.String` `SYNTAX_MARKER_TYPE`

Constructor Summary
`SQLStorageAnnotationModel(SQLEditorStorage storage)`

Method Summary

Methods inherited from class org.eclipse.ui.texteditor.AbstractMarkerAnnotationModel
`commit, getMarkerAnnotation, getMarkerPosition, reinitialize, resetMarkers, revert, updateMarker, updateMarker, updateMarkers`

Methods inherited from class org.eclipse.jface.text.source.AnnotationModel
`addAnnotation, addAnnotationModel, addAnnotationModelListener, connect, disconnect, getAnnotationIterator, getAnnotationIterator, getAnnotationModel, getLockObject, getModificationStamp, getPosition, modifyAnnotationPosition, removeAllAnnotations, removeAnnotation, removeAnnotationModel, removeAnnotationModelListener, replaceAnnotations, setLockObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_STORAGE_ID

    public static final java.lang.String ATTR_STORAGE_ID

See Also:
  Constant Field Values

### PORTABILITY_MARKER_TYPE

    public static final java.lang.String PORTABILITY_MARKER_TYPE

See Also:
  Constant Field Values

### SYNTAX_MARKER_TYPE

    public static final java.lang.String SYNTAX_MARKER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### SQLStorageAnnotationModel

    public SQLStorageAnnotationModel(SQLEditorStorage storage)